Bug 651192 - [abrt] duplicity-0.6.10-1.fc14: getpass.py:135:_raw_input:EOFError
Summary: [abrt] duplicity-0.6.10-1.fc14: getpass.py:135:_raw_input:EOFError
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: duplicity
Version: 14
Hardware: i686
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:51bd7e36
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-08 23:01 UTC by Andrei Rozanski
Modified: 2012-01-11 08:01 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2012-01-11 06:07:14 UTC


Attachments (Terms of Use)
File: backtrace (873 bytes, text/plain)
2010-11-08 23:01 UTC, Andrei Rozanski
no flags Details

Description Andrei Rozanski 2010-11-08 23:01:55 UTC
abrt version: 1.1.13
architecture: i686
cmdline: /usr/bin/python /usr/bin/duplicity cleanup --force sftp://andrei@paladine.mine.nu/home/andrei --gio --verbosity=9 --archive-dir=/home/andrei/.cache/deja-dup --log-file=/tmp/deja-dup-0H5PLV
component: duplicity
executable: /usr/bin/duplicity
kernel: 2.6.35.6-48.fc14.i686
package: duplicity-0.6.10-1.fc14
reason: getpass.py:135:_raw_input:EOFError
release: Fedora release 14 (Laughlin)
time: 1289254391
uid: 500

backtrace
-----
getpass.py:135:_raw_input:EOFError

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/duplicity/backends/giobackend.py", line 59, in ask_password
    self.set_password(self.backend.get_password())
  File "/usr/lib/python2.7/site-packages/duplicity/backend.py", line 354, in get_password
    (self.parsed_url.username,self.parsed_url.hostname) )
  File "/usr/lib/python2.7/getpass.py", line 83, in unix_getpass
    passwd = fallback_getpass(prompt, stream)
  File "/usr/lib/python2.7/getpass.py", line 118, in fallback_getpass
    return _raw_input(prompt, stream)
  File "/usr/lib/python2.7/getpass.py", line 135, in _raw_input
    raise EOFError
EOFError

Local variables in innermost frame:
input: <open file '<stdin>', mode 'r' at 0xb7873020>
line: ''
prompt: "Password for 'None@None': "
stream: <open file '<stderr>', mode 'w' at 0xb78730d0>

Comment 1 Andrei Rozanski 2010-11-08 23:01:58 UTC
Created attachment 458917 [details]
File: backtrace

Comment 2 Robert Scheck 2010-11-08 23:19:35 UTC
How can this issue be reproduced or what exactly did you do? Were you asked
for a password for sftp or is there a key to be used? Did that issue exist 
with versions before duplicity-0.6.10-1 already?

Comment 3 Stuart D Gathman 2011-02-22 16:42:52 UTC
Package: duplicity-0.6.11-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. closed a nautilus window with sftp dir open
2.
3.

Comment 4 Fedora Update System 2011-12-26 16:03:34 UTC
duplicity-0.6.17-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/duplicity-0.6.17-1.fc16

Comment 5 Fedora Update System 2011-12-26 16:04:21 UTC
duplicity-0.6.17-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/duplicity-0.6.17-1.fc15

Comment 6 Fedora Update System 2011-12-26 16:05:15 UTC
duplicity-0.6.17-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/duplicity-0.6.17-1.el6

Comment 7 Fedora Update System 2011-12-26 16:06:22 UTC
duplicity-0.6.17-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/duplicity-0.6.17-1.el5

Comment 8 Fedora Update System 2011-12-26 16:51:32 UTC
Package duplicity-0.6.17-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing duplicity-0.6.17-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2011-5334/duplicity-0.6.17-1.el6
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2012-01-11 06:07:14 UTC
duplicity-0.6.17-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2012-01-11 06:15:54 UTC
duplicity-0.6.17-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2012-01-11 07:58:35 UTC
duplicity-0.6.17-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2012-01-11 08:01:08 UTC
duplicity-0.6.17-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.